function updateSampleQC( hTsgGUI, PARA )          
%
% Update the QC code for WS and EXT samples
%
% Input
% hTsgGui ........... Handle of the main GUI project
% ind ............... Indices of the QC modified in tsg.SSPS_SPL
%
% Ouput
% Date are updated throught the setappdata MAtlab function
%

% Get the tsgstructure from the application
% -----------------------------------------
tsg = getappdata( hTsgGUI, 'tsg_data');

% Update WS QC
% ------------
indWS = find( tsg.([PARA '_SPL_TYPE']) == 1 );
if ~isempty(indWS)
  tsg.([PARA '_WS_QC']) = tsg.([PARA '_SPL_QC'])(indWS);
end

% Update EXT QC
% -------------
indEXT = find( tsg.([PARA '_SPL_TYPE']) == 2 );
if ~isempty(indEXT)
  tsg.([PARA '_EXT_QC']) = tsg.([PARA '_SPL_QC'])(indEXT);
end

% update the tsg structure in the application
% -------------------------------------------
setappdata( hTsgGUI, 'tsg_data', tsg );

end